Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Class DefaultTextNodeStep

    java.lang.Object
      org.jaxen.expr.DefaultStep
          org.jaxen.expr.DefaultTextNodeStep

All Implemented Interfaces:
  Predicated, Serializable, Step, TextNodeStep, Visitable

Deprecated. this class will become non-public in the future; use the interface instead

public class DefaultTextNodeStep
extends DefaultStep
implements TextNodeStep

See Also:
  Serialized Form

Constructor Summary
`DefaultTextNodeStep(IterableAxis axis, PredicateSet predicateSet)` Deprecated.

Method Summary
`void` | `accept(Visitor visitor)` Deprecated.
`String` | `getText()` Deprecated.
`boolean` | `matches(Object node, ContextSupport support)` Deprecated. Performs the node-test part of evaluating the step for the given node (which must be on the axis).

Methods inherited from class org.jaxen.expr.DefaultStep
`addPredicate, axisIterator, evaluate, getAxis, getAxisName, getIterableAxis, getPredicates, getPredicateSet, simplify, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jaxen.expr.Step
`axisIterator, evaluate, getAxis, simplify`

Methods inherited from interface org.jaxen.expr.Predicated
`addPredicate, getPredicates, getPredicateSet`

Constructor Detail

### DefaultTextNodeStep

    public DefaultTextNodeStep(IterableAxis axis,
                               PredicateSet predicateSet)

  Deprecated.

Method Detail

### matches

    public boolean matches(Object node,
                           ContextSupport support)

  Deprecated.
  Description copied from interface: `Step`
  Performs the node-test part of evaluating the step for the given node (which must be on the axis).

  Specified by:
    `matches` in interface `Step`

### getText

    public String getText()

  Deprecated.
  Specified by:
    `getText` in interface `Step`
  Overrides:
    `getText` in class `DefaultStep`

### accept

    public void accept(Visitor visitor)

  Deprecated.
  Specified by:
    `accept` in interface `Visitable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.